@font-face {
    font-family: 'MontseratBold';
    src: url("./fonts/static/Montserrat-Bold.ttf");
}

@font-face {
    font-family: 'MontseratRegular';
    src: url("./fonts/static/Montserrat-Regular.ttf") format('truetype'),
    url("./fonts/static/Montserrat-Regular.woff2") format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

html, body {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    background-color: #ffd54e;
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.page-header, .page-footer {
    flex-grow: 0;
    flex-shrink: 0;
}

.page-body {
    flex-grow: 1;
}

.title-block {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.title-block-text {
    margin-top: 20px;
    margin-bottom: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    column-gap: 0;
    font-family: MontseratBold, serif;
    font-size: 80px;
}

.title-block-text-upper {
    margin-bottom: -48px;
}

.title-block-icons {
    display: flex;
    justify-content: space-between;
    gap: 60px;
}

.title-block-icons a:hover {
    transform: rotate(360deg) scale(1.2);
    transition: transform 1s ease;
}

.title-block-email {
    margin-top: 20px;
    text-align: center;
    font-family: MontseratRegular, serif;
    font-weight: 400;
    font-size: 20px;
    visibility: hidden;
}

.title-block-svg {
    border-radius: 50%;
    fill: black;
    width: 45px;
}

.title-block-svg:hover {
    border-radius: 50%;
    background-color: white;
    fill: black;
    width: 45px;
}


.description-text {
    margin: 30px auto 60px;
    width: 720px;
    line-height: 130%;
    text-align: center;
    font-family: MontseratRegular, serif;
    font-weight: 400;
    font-size: 20px;
}

.market-block {
    display: flex;
    justify-content: center;
    gap: 150px;
}

.market-block-first-elem {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 18px;
}

.market-block-first-elem:hover .market-block-text-first {
    transform: scale(1.1);
    transition: transform 0.3s;
}

.market-block-second-elem {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 18px;
}

.market-block-second-elem:hover .market-block-text-second {
    transform: scale(1.1);
    transition: transform 0.5s;
}

.market-block-first-elem:hover .circle-form-svg {
    transition: transform 0.5s;
    transform:  scale(1.1);
    width: 35px;
    fill: #ffd54e;
}

.market-block-second-elem:hover .circle-form-svg {
    transition: transform 1s ease;
    transform:  scale(1.2);
    width: 35px;
    fill: #ffd54e;
}

.market-block-text-first {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.market-block-text-first span {
    font-family: MontseratRegular, serif;
    font-size: 17px;
}

.market-block-text-first b {
    font-family: MontseratBold, serif;
    font-size: 30px;
    margin-top: -6px;
}

.market-block-text-second {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.market-block-text-second span {
    font-family: MontseratRegular, serif;
    font-size: 17px;
}

.market-block-text-second b {
    font-family: MontseratBold, serif;
    font-size: 30px;
    margin-top: -6px;
}

.circle-form {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: black;
    padding-left: 22px;
    padding-top: 18px;
}


.circle-form-svg {
    width: 35px;
}

.google-play-img {
    margin-left: 5px;
    margin-top: 3px;
}

.page-footer {
    margin: auto auto 10px;
    font-family: MontseratRegular, serif;
    font-size: 17px;
}

@media all and (max-width: 767px) {
    .market-block {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 35px;
    }

    .market-block-text-second {
        display: flex;
        flex-direction: column;
        text-align: center;
    }

    .market-block-second-elem {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        gap: 20px;
    }
}

@media all and (max-width: 480px) {
    .description-text {
        margin: 30px auto;
        width: 360px;
        text-align: center;
        font-family: MontseratRegular, serif;
        font-size: 20px;
    }
}
